Get All Challenge List/ Filtered Challenge List

This API is used to get all the event challenge details associated with the specified event.

This API is used at host side. Event admins and super admins can access this API. It will return data like recordsFiltered, recordsTotal, error, and other details.

To call this API, users have to pass query parameters with API URL like page, size, and authentication key to authenticate the user.

The searchString parameter is used to get Filtered Challenge List, passing Empty String will retrieve the All Challenge list.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns in the form of JSON.

AttributeDescription
recordsTotalReturns the total number of records.
recordsFilteredReturns the total number of filtered records.
areaReturns the area of the challenge. It will return either Expo, Sessions, Networking, and Event.
actionReturns the action of the challenge.
Examples:
  • If your area is Expo then it will return an action like Visit, Chat, Watch, Link Click, Document Download, Request Meeting, or All.
  • If your area is Sessions then it will return an action like Watch, Visit, or All.
  • If your area is Networking then it will return an action like Matches, Connections, or All.
triggerReturns the trigger of the challenge.
Examples:
  • If your area is Expo then it will return a trigger like exhibitor and category or All.
  • If your area is Sessions then it will return a trigger like main_stage, breakout_session, workshop, or All.
  • If your area is Networking then it will return a trigger like Networking or All.
eventChallengeIdReturns the event challenge ID.
nameReturns the challenge name. Only 255 characters are allowed.
descriptionReturns the challenge description. Only 65535 characters are allowed
startDateReturns the challenge start date in yyyy/MM/dd HH:mm format.
endDateReturns the challenge end date in yyyy/MM/dd HH:mm format
goalReturns the challenge goal points.
rewardsReturns the challenge rewards.
ticketTypeAllowInChallengeReturns the ticket types allowed to participate in the challenge. It will return a list of ticket type IDs.
gamificationTabDisabledReturns whether the gamification tab is enabled or disabled in the virtual event hub.
startDateUtcReturns the start date UTC format.
endDateUtcReturns the end date UTC format.
typeReturns the challenge type. It will return either STANDARD, EARLY_BIRD, SCAVENGER_HUNT.
errorReturns error messages.

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error codeError Description
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
4030201Not Event Host.
Query Params
int32
Defaults to 0

Pages are zero indexed, thus providing 0 for page will return the first page.

int32
Defaults to 10

Size will returns number of records when call api default will returns 10 records.

string

Search String will be used to get filtered Challenge List, pass empty when need to get all Challenges

string

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json